Subject: [PATCH 1/2] iio: mxs: Add MX23 support into the IIO driver

From: [email-masked] (Marek Vasut)
Date: Mon, 21 Jan 2013 22:53:09 +0100

Dear Micha? Miros?aw,

[...]

> >> I'm asking, because you don't use this number anywhere other than in
> >> mxs_lradc_probe()
> >> and there only to dereference the irq-names table. After that the
> >> structure and number
> >> are forgotten.
> > 
> > Certainly, so far it's used only this way. But please see my argument
> > about register layout, that's why I went down this road of abstraction.
> 
> Hmm. Then is IMX23 LRADC going to just work after this series
> (assuming I don't use unsupported features) or this needs more patches
> to be usable?

It's gonna work, touchscreen will work as well. You won't have the touchbuttons, 
but when these're gonna be implemented, we will need to be careful to enable 
them only for mx28.

Best regards,
Marek Vasut